Index: contrib/ntp/ntpd/ntp_parser.c
===================================================================
--- contrib/ntp/ntpd/ntp_parser.c	(版本 309693)
+++ contrib/ntp/ntpd/ntp_parser.c	(版本 310419)
@@ -2709,89 +2712,89 @@
 				yyerror("fudge factor: stratum value not in [0..16], ignored");
 			}
 		}
-#line 2713 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2716 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 174:
-#line 984 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 175:
+#line 986 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
-#line 2719 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2722 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 175:
-#line 986 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 176:
+#line 988 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
-#line 2725 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2728 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 182:
-#line 1007 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 183:
+#line 1009 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.rlimit, (yyvsp[0].Attr_val_fifo)); }
-#line 2731 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2734 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 183:
-#line 1012 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 184:
+#line 1014 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2740 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2743 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 184:
-#line 1017 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 185:
+#line 1019 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2749 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2752 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 185:
-#line 1025 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 186:
+#line 1027 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 2755 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2758 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 189:
-#line 1041 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 190:
+#line 1043 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.enable_opts, (yyvsp[0].Attr_val_fifo)); }
-#line 2761 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2764 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 190:
-#line 1043 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 191:
+#line 1045 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.disable_opts, (yyvsp[0].Attr_val_fifo)); }
-#line 2767 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2770 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 191:
-#line 1048 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 192:
+#line 1050 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2776 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2779 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 192:
-#line 1053 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 193:
+#line 1055 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2785 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2788 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 193:
-#line 1061 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 194:
+#line 1063 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer)); }
-#line 2791 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2794 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 194:
-#line 1063 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 195:
+#line 1065 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				(yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer));
@@ -2805,41 +2808,41 @@
 				yyerror(err_str);
 			}
 		}
-#line 2809 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2812 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 207:
-#line 1102 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 208:
+#line 1104 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.tinker, (yyvsp[0].Attr_val_fifo)); }
-#line 2815 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2818 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 208:
-#line 1107 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 209:
+#line 1109 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2824 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2827 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 209:
-#line 1112 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 210:
+#line 1114 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2833 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2836 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 210:
-#line 1120 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 211:
+#line 1122 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double)); }
-#line 2839 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2842 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 223:
-#line 1145 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 224:
+#line 1147 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			attr_val *av;
 
@@ -2846,11 +2849,11 @@
 			av = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double));
 			APPEND_G_FIFO(cfgt.vars, av);
 		}
-#line 2850 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2853 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 224:
-#line 1152 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 225:
+#line 1154 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			attr_val *av;
 
@@ -2857,11 +2860,11 @@
 			av = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer));
 			APPEND_G_FIFO(cfgt.vars, av);
 		}
-#line 2861 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2864 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 225:
-#line 1159 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 226:
+#line 1161 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			attr_val *av;
 
@@ -2868,11 +2871,11 @@
 			av = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String));
 			APPEND_G_FIFO(cfgt.vars, av);
 		}
-#line 2872 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2875 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 226:
-#line 1166 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 227:
+#line 1168 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			char error_text[64];
 			attr_val *av;
@@ -2888,11 +2891,11 @@
 				yyerror(error_text);
 			}
 		}
-#line 2892 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2895 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 227:
-#line 1182 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 228:
+#line 1184 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if (!lex_from_file()) {
 				YYFREE((yyvsp[-1].String)); /* avoid leak */
@@ -2911,41 +2914,41 @@
 			}
 			YYFREE((yyvsp[-1].String)); /* avoid leak */
 		}
-#line 2915 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2918 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 228:
-#line 1201 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
-    { lex_flush_stack(); }
-#line 2921 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
-    break;
-
   case 229:
 #line 1203 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
-    { /* see drift_parm below for actions */ }
-#line 2927 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+    { lex_flush_stack(); }
+#line 2924 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 230:
 #line 1205 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
-    { CONCAT_G_FIFOS(cfgt.logconfig, (yyvsp[0].Attr_val_fifo)); }
-#line 2933 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+    { /* see drift_parm below for actions */ }
+#line 2930 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 231:
 #line 1207 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
-    { CONCAT_G_FIFOS(cfgt.phone, (yyvsp[0].String_fifo)); }
-#line 2939 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+    { CONCAT_G_FIFOS(cfgt.logconfig, (yyvsp[0].Attr_val_fifo)); }
+#line 2936 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 232:
 #line 1209 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
-    { APPEND_G_FIFO(cfgt.setvar, (yyvsp[0].Set_var)); }
-#line 2945 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+    { CONCAT_G_FIFOS(cfgt.phone, (yyvsp[0].String_fifo)); }
+#line 2942 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
   case 233:
 #line 1211 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+    { APPEND_G_FIFO(cfgt.setvar, (yyvsp[0].Set_var)); }
+#line 2948 "ntp_parser.c" /* yacc.c:1646  */
+    break;
+
+  case 234:
+#line 1213 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			addr_opts_node *aon;
 
@@ -2952,27 +2955,27 @@
 			aon = create_addr_opts_node((yyvsp[-1].Address_node), (yyvsp[0].Attr_val_fifo));
 			APPEND_G_FIFO(cfgt.trap, aon);
 		}
-#line 2956 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2959 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 234:
-#line 1218 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 235:
+#line 1220 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.ttl, (yyvsp[0].Attr_val_fifo)); }
-#line 2962 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2965 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 239:
-#line 1233 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 240:
+#line 1235 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 #ifndef LEAP_SMEAR
 			yyerror("Built without LEAP_SMEAR support.");
 #endif
 		}
-#line 2972 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2975 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 245:
-#line 1253 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 246:
+#line 1255 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -2983,11 +2986,11 @@
 				yyerror("driftfile remote configuration ignored");
 			}
 		}
-#line 2987 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 2990 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 246:
-#line 1264 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 247:
+#line 1266 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -3000,11 +3003,11 @@
 				yyerror("driftfile remote configuration ignored");
 			}
 		}
-#line 3004 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3007 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 247:
-#line 1277 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 248:
+#line 1279 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -3014,71 +3017,71 @@
 				yyerror("driftfile remote configuration ignored");
 			}
 		}
-#line 3018 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3021 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 248:
-#line 1290 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 249:
+#line 1292 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Set_var) = create_setvar_node((yyvsp[-3].String), (yyvsp[-1].String), (yyvsp[0].Integer)); }
-#line 3024 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3027 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 250:
-#line 1296 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 251:
+#line 1298 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Integer) = 0; }
-#line 3030 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3033 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 251:
-#line 1301 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 252:
+#line 1303 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val_fifo) = NULL; }
-#line 3036 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3039 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 252:
-#line 1303 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 253:
+#line 1305 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3045 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3048 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 253:
-#line 1311 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 254:
+#line 1313 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 3051 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3054 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 254:
-#line 1313 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 255:
+#line 1315 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), estrdup((yyvsp[0].Address_node)->address));
 			destroy_address_node((yyvsp[0].Address_node));
 		}
-#line 3060 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3063 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 255:
-#line 1321 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 256:
+#line 1323 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3069 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3072 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 256:
-#line 1326 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 257:
+#line 1328 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3078 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3081 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 257:
-#line 1334 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 258:
+#line 1336 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			char	prefix;
 			char *	type;
@@ -3100,11 +3103,11 @@
 			(yyval.Attr_val) = create_attr_sval(prefix, estrdup(type));
 			YYFREE((yyvsp[0].String));
 		}
-#line 3104 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3107 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 258:
-#line 1359 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 259:
+#line 1361 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			nic_rule_node *nrn;
 
@@ -3111,11 +3114,11 @@
 			nrn = create_nic_rule_node((yyvsp[0].Integer), NULL, (yyvsp[-1].Integer));
 			APPEND_G_FIFO(cfgt.nic_rules, nrn);
 		}
-#line 3115 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3118 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 259:
-#line 1366 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 260:
+#line 1368 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			nic_rule_node *nrn;
 
@@ -3122,119 +3125,119 @@
 			nrn = create_nic_rule_node(0, (yyvsp[0].String), (yyvsp[-1].Integer));
 			APPEND_G_FIFO(cfgt.nic_rules, nrn);
 		}
-#line 3126 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3129 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 269:
-#line 1394 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 270:
+#line 1396 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { CONCAT_G_FIFOS(cfgt.reset_counters, (yyvsp[0].Int_fifo)); }
-#line 3132 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3135 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 270:
-#line 1399 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 271:
+#line 1401 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = (yyvsp[-1].Int_fifo);
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 3141 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3144 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 271:
-#line 1404 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 272:
+#line 1406 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Int_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Int_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 3150 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3153 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 279:
-#line 1428 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 280:
+#line 1430 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 3159 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3162 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 280:
-#line 1433 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 281:
+#line 1435 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), create_int_node((yyvsp[0].Integer)));
 		}
-#line 3168 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3171 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 281:
-#line 1441 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 282:
+#line 1443 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3177 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3180 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 282:
-#line 1446 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 283:
+#line 1448 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3186 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3189 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 283:
-#line 1454 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 284:
+#line 1456 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_ival('i', (yyvsp[0].Integer)); }
-#line 3192 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3195 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 285:
-#line 1460 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 286:
+#line 1462 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_rangeval('-', (yyvsp[-3].Integer), (yyvsp[-1].Integer)); }
-#line 3198 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3201 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 286:
-#line 1465 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 287:
+#line 1467 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.String_fifo) = (yyvsp[-1].String_fifo);
 			APPEND_G_FIFO((yyval.String_fifo), create_string_node((yyvsp[0].String)));
 		}
-#line 3207 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3210 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 287:
-#line 1470 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 288:
+#line 1472 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.String_fifo) = NULL;
 			APPEND_G_FIFO((yyval.String_fifo), create_string_node((yyvsp[0].String)));
 		}
-#line 3216 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3219 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 288:
-#line 1478 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 289:
+#line 1480 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Address_fifo) = (yyvsp[-1].Address_fifo);
 			APPEND_G_FIFO((yyval.Address_fifo), (yyvsp[0].Address_node));
 		}
-#line 3225 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3228 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 289:
-#line 1483 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 290:
+#line 1485 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Address_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Address_fifo), (yyvsp[0].Address_node));
 		}
-#line 3234 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3237 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 290:
-#line 1491 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 291:
+#line 1493 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			if ((yyvsp[0].Integer) != 0 && (yyvsp[0].Integer) != 1) {
 				yyerror("Integer value is not boolean (0 or 1). Assuming 1");
@@ -3243,29 +3246,29 @@
 				(yyval.Integer) = (yyvsp[0].Integer);
 			}
 		}
-#line 3247 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3250 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 291:
-#line 1499 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 292:
+#line 1501 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Integer) = 1; }
-#line 3253 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3256 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 292:
-#line 1500 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 293:
+#line 1502 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Integer) = 0; }
-#line 3259 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3262 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 293:
-#line 1504 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 294:
+#line 1506 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Double) = (double)(yyvsp[0].Integer); }
-#line 3265 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3268 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 295:
-#line 1515 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 296:
+#line 1517 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			sim_node *sn;
 
@@ -3275,125 +3278,125 @@
 			/* Revert from ; to \n for end-of-command */
 			old_config_style = 1;
 		}
-#line 3279 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3282 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 296:
-#line 1532 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 297:
+#line 1534 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { old_config_style = 0; }
-#line 3285 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3288 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 297:
-#line 1537 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 298:
+#line 1539 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-2].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[-1].Attr_val));
 		}
-#line 3294 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3297 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 298:
-#line 1542 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 299:
+#line 1544 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[-1].Attr_val));
 		}
-#line 3303 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3306 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 299:
-#line 1550 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 300:
+#line 1552 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-2].Integer), (yyvsp[0].Double)); }
-#line 3309 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3312 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 302:
-#line 1560 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 303:
+#line 1562 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Sim_server_fifo) = (yyvsp[-1].Sim_server_fifo);
 			APPEND_G_FIFO((yyval.Sim_server_fifo), (yyvsp[0].Sim_server));
 		}
-#line 3318 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3321 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 303:
-#line 1565 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 304:
+#line 1567 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Sim_server_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Sim_server_fifo), (yyvsp[0].Sim_server));
 		}
-#line 3327 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3330 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 304:
-#line 1573 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 305:
+#line 1575 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Sim_server) = ONLY_SIM(create_sim_server((yyvsp[-4].Address_node), (yyvsp[-2].Double), (yyvsp[-1].Sim_script_fifo))); }
-#line 3333 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3336 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 305:
-#line 1578 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 306:
+#line 1580 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Double) = (yyvsp[-1].Double); }
-#line 3339 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3342 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 306:
-#line 1583 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 307:
+#line 1585 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Address_node) = (yyvsp[0].Address_node); }
-#line 3345 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3348 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 307:
-#line 1588 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 308:
+#line 1590 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Sim_script_fifo) = (yyvsp[-1].Sim_script_fifo);
 			APPEND_G_FIFO((yyval.Sim_script_fifo), (yyvsp[0].Sim_script));
 		}
-#line 3354 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3357 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 308:
-#line 1593 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 309:
+#line 1595 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Sim_script_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Sim_script_fifo), (yyvsp[0].Sim_script));
 		}
-#line 3363 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3366 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 309:
-#line 1601 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 310:
+#line 1603 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Sim_script) = ONLY_SIM(create_sim_script_info((yyvsp[-3].Double), (yyvsp[-1].Attr_val_fifo))); }
-#line 3369 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3372 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 310:
-#line 1606 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 311:
+#line 1608 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = (yyvsp[-2].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[-1].Attr_val));
 		}
-#line 3378 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3381 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 311:
-#line 1611 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 312:
+#line 1613 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[-1].Attr_val));
 		}
-#line 3387 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3390 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
-  case 312:
-#line 1619 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
+  case 313:
+#line 1621 "../../ntpd/ntp_parser.y" /* yacc.c:1646  */
     { (yyval.Attr_val) = create_attr_dval((yyvsp[-2].Integer), (yyvsp[0].Double)); }
-#line 3393 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3396 "ntp_parser.c" /* yacc.c:1646  */
     break;
 
 
-#line 3397 "../../ntpd/ntp_parser.c" /* yacc.c:1646  */
+#line 3400 "ntp_parser.c" /* yacc.c:1646  */
       default: break;
     }
   /* User semantic actions sometimes alter yychar, and that requires
@@ -3621,7 +3624,7 @@
 #endif
   return yyresult;
 }
-#line 1630 "../../ntpd/ntp_parser.y" /* yacc.c:1906  */
+#line 1632 "../../ntpd/ntp_parser.y" /* yacc.c:1906  */
 
 
 void
